BlendFi
Referência da APITransaçõesCotações

Create a quote

POST
/v1/quotes
AuthorizationBearer <token>

Paste your BlendFi API key. Sandbox keys start with sk_test_. The Bearer prefix is added automatically.

In: header

Header Parameters

idempotency-key*string

Client-generated unique key to make the mutation safe to retry.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.sandbox.blendfi.com.br/v1/quotes" \  -H "idempotency-key: 0196c5d9-2e34-7c24-a47e-a0e1f89bb8a9" \  -H "Content-Type: application/json" \  -d '{    "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",    "source_amount": "100.00",    "source_currency": "BRL",    "target_currency": "USDT",    "destination_wallet_address": "0x1234567890abcdef1234567890abcdef12345678",    "destination_wallet_network": "polygon"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
  "source_amount": "string",
  "source_currency": "string",
  "target_amount": "string",
  "target_currency": "string",
  "exchange_rate": "string",
  "spread_bps": 0,
  "destination_wallet_address": "string",
  "destination_wallet_network": "polygon",
  "status": "active",
  "expires_at": "2019-08-24T14:15:22Z",
  "consumed_at": "2019-08-24T14:15:22Z",
  "consumed_by_transaction_id": "6910c8f5-ad01-48f8-845a-5d626b47a57c",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}